package com.ruoyi.controller;

import com.ruoyi.common.annotation.Anonymous;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.utils.poi.ExcelUtil;
import com.ruoyi.domain.dto.FyglTravelOnBusinessDTO;
import com.ruoyi.domain.dto.FyglTripApplicationDTO;
import com.ruoyi.service.IFyglTravelOnBusinessService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletResponse;
import java.util.List;
/**
 * 差旅Controller
 *
 * @author ruoyi
 * @date 2025-02-28
 */
@RestController
@RequestMapping("/FyglTravelOnBusiness")
public class FyglTravelOnBusinessController extends BaseController {

    @Autowired
    private IFyglTravelOnBusinessService travelOnBusinessService;

    //列表
    @GetMapping("/getList")
    public TableDataInfo getProjectCostList(FyglTravelOnBusinessDTO fyglProjectCostDTO){
        startPage();
        return getDataTable(travelOnBusinessService.getFyglTravelOnBusinessList(fyglProjectCostDTO));
    }

    /**
     * 获取差旅报销详细信息
     */
    @GetMapping(value = "/getList/{id}")
    public AjaxResult getInfo(@PathVariable("id") Long id)
    {
        return success(travelOnBusinessService.selectFyglTravelOnBusinessListById(id));
    }

    //导出列表
    @PostMapping("/getList/export")
    public void export(HttpServletResponse response, Long [] ids)
    {
        List<FyglTravelOnBusinessDTO> travelOnBusinessByIds = travelOnBusinessService.getTravelOnBusinessList(ids);
        ExcelUtil<FyglTravelOnBusinessDTO> util = new ExcelUtil<FyglTravelOnBusinessDTO>(FyglTravelOnBusinessDTO.class);
        util.exportExcel(response, travelOnBusinessByIds, "差旅报销数据");
    }

    //新增差旅报销
    @PostMapping("/getList/insert")
    public AjaxResult insertFyglTravelOnBusiness(@RequestBody FyglTravelOnBusinessDTO fyglTravelOnBusinessDTO)
    {
        return AjaxResult.success(travelOnBusinessService.insertFyglTravelOnBusiness(fyglTravelOnBusinessDTO));
    }

    //修改差旅报销
    @PutMapping("/getList/update")
    public AjaxResult updateFyglTravelOnBusiness(@RequestBody FyglTravelOnBusinessDTO fyglTravelOnBusinessDTO)
    {
        return AjaxResult.success(travelOnBusinessService.updateFyglTravelOnBusiness(fyglTravelOnBusinessDTO));
    }

    //删除差旅报销
    @DeleteMapping("/getList/{id}")
    public AjaxResult deleteFyglTravelOnBusinessById(@PathVariable Long id)
    {
        return toAjax(travelOnBusinessService.deleteFyglTravelOnBusinessById(id));
    }
}
