package com.ruoyi.mapper;

import com.ruoyi.domain.EmployeeBalance;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.List;

public interface EmployeeBalanceMapper {
    /**
     * 查询员工余额
     *
     * @param id 员工余额主键
     * @return 员工余额
     */
    public EmployeeBalance selectEmployeeBalanceById(Long id);

    /**
     * 查询员工余额列表
     *
     * @param employeeBalance 员工余额
     * @return 员工余额集合
     */
    public List<EmployeeBalance> selectEmployeeBalanceList(EmployeeBalance employeeBalance);

    /**
     * 修改员工余额
     *
     * @param employeeBalance 员工余额
     * @return 结果
     */
    public int updateEmployeeBalance(EmployeeBalance employeeBalance);

    /**
     * 删除员工余额
     *
     * @param id 员工余额主键
     * @return 结果
     */
    public int deleteEmployeeBalanceById(Long id);

    /**
     * 批量删除员工余额
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteEmployeeBalanceByIds(Long[] ids);

    /**
     * 检查员工是否已有加班记录
     */
    EmployeeBalance selectEmployeeBalanceByEmployeeId(@Param("employeeId") Long employeeId);

    /**
     * 插入员工余额记录
     */
    int insertEmployeeBalance(EmployeeBalance employeeBalance);

    /**
     * 更新员工余额记录
     */
    int updateEmployeeBalance(@Param("employeeId") Long employeeId, @Param("overtimeHoursBalance") BigDecimal overtimeHoursBalance);
}
