package com.ruoyi.service;

import java.util.List;
import com.ruoyi.domain.EmployeeBalance;

/**
 * 员工余额Service接口
 * 
 * @author ruoyi
 * @date 2025-04-21
 */
public interface IEmployeeBalanceService 
{
    /**
     * 查询员工余额
     * 
     * @param id 员工余额主键
     * @return 员工余额
     */
    public EmployeeBalance selectEmployeeBalanceById(Long id);

    /**
     * 查询员工余额列表
     * 
     * @param employeeBalance 员工余额
     * @return 员工余额集合
     */
    public List<EmployeeBalance> selectEmployeeBalanceList(EmployeeBalance employeeBalance);

    /**
     * 新增员工余额
     * 
     * @param employeeBalance 员工余额
     * @return 结果
     */
    public int insertEmployeeBalance(EmployeeBalance employeeBalance);

    /**
     * 修改员工余额
     * 
     * @param employeeBalance 员工余额
     * @return 结果
     */
    public int updateEmployeeBalance(EmployeeBalance employeeBalance);

    /**
     * 批量删除员工余额
     * 
     * @param ids 需要删除的员工余额主键集合
     * @return 结果
     */
    public int deleteEmployeeBalanceByIds(Long[] ids);

    /**
     * 删除员工余额信息
     * 
     * @param id 员工余额主键
     * @return 结果
     */
    public int deleteEmployeeBalanceById(Long id);
}
