package com.ruoyi.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.mapper.EmployeeBalanceMapper;
import com.ruoyi.domain.EmployeeBalance;
import com.ruoyi.service.IEmployeeBalanceService;

/**
 * 员工余额Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-04-21
 */
@Service
public class EmployeeBalanceServiceImpl implements IEmployeeBalanceService 
{
    @Autowired
    private EmployeeBalanceMapper employeeBalanceMapper;

    /**
     * 查询员工余额
     * 
     * @param id 员工余额主键
     * @return 员工余额
     */
    @Override
    public EmployeeBalance selectEmployeeBalanceById(Long id)
    {
        return employeeBalanceMapper.selectEmployeeBalanceById(id);
    }

    /**
     * 查询员工余额列表
     * 
     * @param employeeBalance 员工余额
     * @return 员工余额
     */
    @Override
    public List<EmployeeBalance> selectEmployeeBalanceList(EmployeeBalance employeeBalance)
    {
        return employeeBalanceMapper.selectEmployeeBalanceList(employeeBalance);
    }

    /**
     * 新增员工余额
     * 
     * @param employeeBalance 员工余额
     * @return 结果
     */
    @Override
    public int insertEmployeeBalance(EmployeeBalance employeeBalance)
    {
        return employeeBalanceMapper.insertEmployeeBalance(employeeBalance);
    }

    /**
     * 修改员工余额
     * 
     * @param employeeBalance 员工余额
     * @return 结果
     */
    @Override
    public int updateEmployeeBalance(EmployeeBalance employeeBalance)
    {
        return employeeBalanceMapper.updateEmployeeBalance(employeeBalance);
    }

    /**
     * 批量删除员工余额
     * 
     * @param ids 需要删除的员工余额主键
     * @return 结果
     */
    @Override
    public int deleteEmployeeBalanceByIds(Long[] ids)
    {
        return employeeBalanceMapper.deleteEmployeeBalanceByIds(ids);
    }

    /**
     * 删除员工余额信息
     * 
     * @param id 员工余额主键
     * @return 结果
     */
    @Override
    public int deleteEmployeeBalanceById(Long id)
    {
        return employeeBalanceMapper.deleteEmployeeBalanceById(id);
    }
}
