package com.ruoyi.system.service;

import com.ruoyi.system.domain.ProjectRepayment;

import java.util.List;

/**
 * 项目回款Service接口
 *
 * @author ruoyi
 * @date 2025-02-28
 */
public interface IProjectRepaymentService
{
    /**
     * 查询项目回款
     *
     * @param repaymentId 项目回款主键
     * @return 项目回款
     */
    public ProjectRepayment selectProjectRepaymentByRepaymentId(Long repaymentId);

    /**
     * 查询项目回款列表
     *
     * @param projectRepayment 项目回款
     * @return 项目回款集合
     */
    public List<ProjectRepayment> selectProjectRepaymentList(ProjectRepayment projectRepayment);

    /**
     * 新增项目回款
     *
     * @param projectRepayment 项目回款
     * @return 结果
     */
    public int insertProjectRepayment(ProjectRepayment projectRepayment);

    /**
     * 修改项目回款
     *
     * @param projectRepayment 项目回款
     * @return 结果
     */
    public int updateProjectRepayment(ProjectRepayment projectRepayment);

    /**
     * 批量删除项目回款
     *
     * @param repaymentIds 需要删除的项目回款主键集合
     * @return 结果
     */
    public int deleteProjectRepaymentByRepaymentIds(Long[] repaymentIds);

    /**
     * 删除项目回款信息
     *
     * @param repaymentId 项目回款主键
     * @return 结果
     */
    public int deleteProjectRepaymentByRepaymentId(Long repaymentId);

    /*
    * 批量插入项目回款信息
    * @param projectRepayments 项目回款信息集合
    *
    * */
    public void batchInsertProjectRepayments(List<ProjectRepayment> projectRepayments);
}
