package com.ruoyi.system.service.impl;

import java.util.List;

import com.ruoyi.system.domain.ProjectRepayment;
import com.ruoyi.system.mapper.ProjectRepaymentMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.service.IProjectRepaymentService;

/**
 * 项目回款Service业务层处理
 *
 * @author ruoyi
 * @date 2025-02-28
 */
@Service
public class ProjectRepaymentServiceImpl implements IProjectRepaymentService
{
    @Autowired
    private ProjectRepaymentMapper projectRepaymentMapper;

    /**
     * 查询项目回款
     *
     * @param repaymentId 项目回款主键
     * @return 项目回款
     */
    @Override
    public ProjectRepayment selectProjectRepaymentByRepaymentId(Long repaymentId)
    {
        return projectRepaymentMapper.selectProjectRepaymentByRepaymentId(repaymentId);
    }

    /**
     * 查询项目回款列表
     *
     * @param projectRepayment 项目回款
     * @return 项目回款
     */
    @Override
    public List<ProjectRepayment> selectProjectRepaymentList(ProjectRepayment projectRepayment)
    {
        return projectRepaymentMapper.selectProjectRepaymentList(projectRepayment);
    }

    /**
     * 新增项目回款
     *
     * @param projectRepayment 项目回款
     * @return 结果
     */
    @Override
    public int insertProjectRepayment(ProjectRepayment projectRepayment)
    {
        return projectRepaymentMapper.insertProjectRepayment(projectRepayment);
    }

    /**
     * 修改项目回款
     *
     * @param projectRepayment 项目回款
     * @return 结果
     */
    @Override
    public int updateProjectRepayment(ProjectRepayment projectRepayment)
    {
        return projectRepaymentMapper.updateProjectRepayment(projectRepayment);
    }

    /**
     * 批量删除项目回款
     *
     * @param repaymentIds 需要删除的项目回款主键
     * @return 结果
     */
    @Override
    public int deleteProjectRepaymentByRepaymentIds(Long[] repaymentIds)
    {
        return projectRepaymentMapper.deleteProjectRepaymentByRepaymentIds(repaymentIds);
    }

    /**
     * 删除项目回款信息
     *
     * @param repaymentId 项目回款主键
     * @return 结果
     */
    @Override
    public int deleteProjectRepaymentByRepaymentId(Long repaymentId)
    {
        return projectRepaymentMapper.deleteProjectRepaymentByRepaymentId(repaymentId);
    }

    @Override
    public void batchInsertProjectRepayments(List<ProjectRepayment> projectRepayments) {
        projectRepaymentMapper.batchInsertProjectRepayments(projectRepayments);
    }
}
